Support » Plugin: Advanced Custom Fields: Font Awesome Field » Updating failed. The response is not a valid JSON response.

  • When I have the field active in the Gutenberg editor I get the following error when attempting to update the page/post: “Updating failed. The response is not a valid JSON response.” As soon as I deactivate the plugin or field it begins working again. I’m not sure if a new WordPress update or similar is causing this, but only last week everything was working fine.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Matt Keys

    (@mattkeys)

    The problem doesn’t seem to be effecting everyone. I just did a test with latest WordPress, latest ACF, and latest version of this plugin. I wasn’t able to reproduce the issue you are seeing.

    You are probably also on the latest versions of this plugin and Advanced Custom Fields, but if you are not please update and try again.

    If you are still seeing this problem then you are probably experiencing some kind of edge case issue where a combination of circumstances unique to your environment are coming together to cause this issue. Figuring these types of issues out can be hard. If you are able to strip back any extra plugins/code/fields to just what is needed to test this, and then slowly add things back, we may be able to find where the conflict is. Since deactivating my plugin solves your issue, but I can’t reproduce the problem, it is possible that my plugin is conflicting with another plugin or some other code on your site.

    Let me know if you are able to find any further information that would help me reproduce the issue!

    Plugin Author Matt Keys

    (@mattkeys)

    I should add when trying to find the conflict, you mentioned that the problem came up in the last week. Has there been any other changes to your site in that week? That might help pin things down more quickly.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.